# $Revision: 1.27 $, $Date: 2009/02/04 12:35:23 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	API interface to talk to Zen Creative devices
Summary(pl.UTF-8):	Interfejs API do komunikacji z urządzeniami Zen Creative
Name:		libnjb
Version:	2.2.6
Release:	3
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/libnjb/%{name}-%{version}.tar.gz
# Source0-md5:	e1b3a89f6157c553ea46a78446429a0d
URL:		http://libnjb.sourceforge.net/
BuildRequires:	libusb-compat-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libnjb is a C library and API for communicating with the Creative
Nomad JukeBox and Dell DJ digital audio players under BSD, Linux, Mac
OS X and Windows. The protocol these devices use is presumably called
PDE (Portable Digital Entertainment protocol) at Creative. Newer
devices using the Microsoft MTP (Media Transfer Protocol) are NOT
supported

%description -l pl.UTF-8
libnjb jest biblioteką C jak również API używanym do komunikacji z
Creative Nomad JukeBox i cyfrowym odtwarzaczem muzyki Dell DJ dla
platform BSD, Linux, Mac IS X i Windows. Protokół jest przypuszczalnie
nazwany przez Creative PDE (Portable Digital Entertainment protocol).
Nowsze urządzenia używające Microsoft MTP (Media transfer Protocol)
NIE są obsługiwane.

%package devel
Summary:	Header files for njb library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnjb
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libusb-compat-devel

%description devel
Header files for njb library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki njb.

%package static
Summary:	Static njb library
Summary(pl.UTF-8):	Statyczna biblioteka njb
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static njb library.

%description static -l pl.UTF-8
Statyczna biblioteka njb.

%package utils
Summary:	njb utilities
Summary(pl.UTF-8):	Narzędzia njb
Group:		Development/Tools
Requires:	%{name}-devel = %{version}-%{release}

%description utils
Utilities for njb library.

%description utils -l pl.UTF-8
Narzędzia dla biblioteki njb.

%prep
%setup -q

%build
%configure \
	%{!?with_static_libs:--disable-static}
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/hotplug/usb

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	includedir=%{_includedir}/%{name}

install nomadjukebox $RPM_BUILD_ROOT%{_sysconfdir}/hotplug/usb
install nomad.usermap $RPM_BUILD_ROOT%{_sysconfdir}/hotplug/usb

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ HACKING README
%attr(755,root,root) %{_libdir}/libnjb.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnjb.so
%{_libdir}/libnjb.la
%{_includedir}/%{name}
%{_pkgconfigdir}/*.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libnjb.a
%endif

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/njb*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libnjb.spec,v $
Revision 1.27  2009/02/04 12:35:23  hawk
- BR, R libusb-compat to make it work with libusb 1.0.0

Revision 1.26  2009/01/27 21:50:03  hawk
- release 2

Revision 1.25  2008/01/04 01:53:17  zbyniu
- up to 2.2.6

Revision 1.24  2007-12-25 23:18:31  glen
- rel 3

Revision 1.23  2007-08-20 19:31:12  witekfl
- added bcond_without static_libs

Revision 1.22  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.20  2006/05/09 11:38:56  qboosh
- -devel R: libusb-devel

Revision 1.19  2006/05/06 16:07:29  paszczus
- release 2 for Th

Revision 1.18  2006/05/06 15:53:32  paszczus
- typo

Revision 1.17  2006/05/06 15:50:54  paszczus
- added utilies to -utils subpackage ; release 1

Revision 1.16  2006/05/05 16:28:42  zbyniu
- lib64 hack obsoleted; header file to subdir

Revision 1.15  2006/05/05 14:29:40  zbyniu
- removed unneeded patches; CC, CFLAGS; proper %files; todo added

Revision 1.14  2006/05/05 14:03:24  paszczus
- added libnjb-Makefile.patch
- fixed build
- added files
- release 1

Revision 1.13  2006/05/05 13:11:48  paszczus
- updated to 2.2.5
- added libnjb-ncurses.patch
- release 0.1, NFY

Revision 1.12  2005/03/15 19:58:27  qboosh
- simplified install, killed files dup

Revision 1.11  2005/03/15 19:49:32  qboosh
- fixed changelog format, killed some braindamage

Revision 1.10  2005/03/14 15:02:02  spider
- adaptarized

Revision 1.9  2005/03/14 13:50:12  megabajt
- fixed source1
- more %%doc and macros
- other cosmetics

Revision 1.8  2005/03/14 03:58:54  mick3y
- fixed what I've broken
- added md5 sums

Revision 1.7  2005/03/14 03:43:47  mick3y
- cosmetic

Revision 1.6  2005/03/14 03:32:11  mick3y
- rewritten
- spec needs to be cleaned though

Revision 1.5  2005/03/13 19:28:48  darekr
- removed INSTALL from %doc, added README

Revision 1.4  2005/03/13 19:11:27  darekr
- pl description

Revision 1.3  2005/03/13 17:54:32  darekr
- fixed Source0, reorders

Revision 1.2  2005/03/13 17:41:23  darekr
- adapterized, cosmetics
- removed "-m 755; -m 644" from %%install
- added %verify(); md5sum
- removed %dir /etc/hotplug/usb (belongs to hotplug.spec)

Revision 1.1  2005/03/13 17:05:36  mick3y
- draft version only
- ripped from RH spec
